"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.RMWC = void 0;
var _react = _interopRequireWildcard(require("react"));
var _appAdmin = require("@webiny/app-admin");
var _provider = require("@rmwc/provider");
var _Layout = require("./modules/Layout");
var _Navigation = require("./modules/Navigation");
var _Brand = require("./modules/Brand");
var _UserMenu = require("./modules/UserMenu");
var _Overlays = require("./modules/Overlays");
var _NotFound = require("./modules/NotFound");
var _Dashboard = require("./modules/Dashboard");
// import { Search } from "~/modules/Search"; Removed in 5.37.0, it will be refactored later

var RMWCProviderPlugin = (0, _appAdmin.createProviderPlugin)(function (Component) {
  return function RMWCThemeProvider(_ref) {
    var children = _ref.children;
    return /*#__PURE__*/_react.default.createElement(_provider.RMWCProvider, {
      ripple: false
    }, /*#__PURE__*/_react.default.createElement(Component, null, children));
  };
});
var RMWC = function RMWC() {
  return /*#__PURE__*/_react.default.createElement(_react.Fragment, null, /*#__PURE__*/_react.default.createElement(RMWCProviderPlugin, null), /*#__PURE__*/_react.default.createElement(_Layout.Layout, null), /*#__PURE__*/_react.default.createElement(_Dashboard.Dashboard, null), /*#__PURE__*/_react.default.createElement(_NotFound.NotFound, null), /*#__PURE__*/_react.default.createElement(_Brand.Brand, null), /*#__PURE__*/_react.default.createElement(_Navigation.Navigation, null), /*#__PURE__*/_react.default.createElement(_UserMenu.UserMenu, null), /*#__PURE__*/_react.default.createElement(_Overlays.Overlays, null));
};
exports.RMWC = RMWC;

//# sourceMappingURL=index.js.map